use rustorm::{ToTableName, ToColumnNames, FromDao};
use chrono::{DateTime, offset::Utc};

#[derive(Debug, FromDao, ToColumnNames, ToTableName)]
pub struct SqlResult {
    result: bool,
}

pub mod new {
    use rustorm::{ToTableName, ToColumnNames, FromDao, ToDao};
    use chrono::{DateTime, offset::Utc};

    #[derive(Debug, FromDao, ToDao, ToColumnNames, ToTableName)]
    pub struct Calendar {
        pub id: String,
        pub url: String,
        pub last_fetch: DateTime<Utc>,
    }
}

#[derive(Debug, FromDao, ToColumnNames, ToTableName)]
pub struct Calendar {
    pub id: String,
    pub url: String,

    pub last_fetch: Option<DateTime<Utc>>,
    pub last_success: Option<DateTime<Utc>>,
    pub error_message: Option<String>,

    pub etag: Option<String>,
    pub last_modified: Option<String>,
}

#[derive(Debug, FromDao, ToColumnNames, ToTableName)]
pub struct Event {
    pub calendar: String,

    pub start: DateTime<Utc>,
    pub end: Option<DateTime<Utc>>,
    pub summary: String,
    pub location: String,
    pub url: String,
}
